| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Private Member Functions | List of all members
uiDialog::Setup Class Reference
uiBase

description of properties of dialog. More...

`#include <uidialog.h>`

Inheritance diagram for uiDialog::Setup:
[legend]

## Public Member Functions
| Setup (const uiString &window_title, const HelpKey &help_key)
| Setup (const uiString &window_title, const uiString &dialog_title, const HelpKey &help_key)
| ~Setup ()
true | mDefSetupMembInit (bool, applybutton, false) mDefSetupMembInit(bool
| < if no parent, always non-modal
true false true false | mDefSetupMembInit (bool, mainwidgcentered, false) mDefSetupMembInit(bool
true false true false false | mDefSetupMembInit (bool, okcancelrev, false) mDefSetupMembInit(int
true false | mDefSetupMembInit (bool, savebutispush, false) mDefSetupMembInit(bool
true false true | mDefSetupMembInit (bool, savechecked, false) mDefSetupMembInit(bool
| mDefSetupMembInit (HelpKey, videokey, HelpKey::emptyHelpKey()) mDefSetupMembInit(uiString
| mDefSetupMembInit (uiString, dlgtitle, uiString::empty()) HelpKey helpkey
| uiStrings::sApply ()) mDefSetupMembInit(bool
| uiStrings::sCancel ()) mDefSetupMembInit(uiString
| uiStrings::sOk ()) mDefSetupMembInit(uiString
| uiStrings::sSaveAsDefault ()) mDefSetupMembInit(uiString

## Public Attributes
| applytext
| canceltext
true false true false | fixedsize
true false true | menubar
| modal
true false true false false | nrstatusflds
| oktext
true | savebutton
| savetext
true false | separator
uiString | wintitle

## Private Member Functions
| Setup (const char *, const char *, int)=delete
| < nrstatusflds == -1: Make a statusbar, but don't add msg fields.

## Detailed Description

description of properties of dialog.

<>

## Constructor & Destructor Documentation

## ◆ Setup() [1/3]

uiDialog::Setup::Setup | ( | const uiString & | window_title,
|  | const uiString & | dialog_title,
|  | const HelpKey & | help_key )

## ◆ Setup() [2/3]

uiDialog::Setup::Setup | ( | const uiString & | window_title,
|  | const HelpKey & | help_key )

## ◆ ~Setup()

uiDialog::Setup::~Setup | ( |  | ) |

## ◆ Setup() [3/3]

uiDialog::Setup::Setup | ( | const char * | ,
|  | const char * | ,
|  | int | )
| private delete

< nrstatusflds == -1: Make a statusbar, but don't add msg fields.

Makes sure you cannot use '0' for help ID. Use mTODOHelpKey or mNoHelpKey instead

## Member Function Documentation

## ◆ mDefSetupMembInit() [1/7]

true uiDialog::Setup::mDefSetupMembInit | ( | bool | ,
|  | applybutton | ,
|  | false | )

< if no parent, always non-modal

## ◆ mDefSetupMembInit() [2/7]

true false true false uiDialog::Setup::mDefSetupMembInit | ( | bool | ,
|  | mainwidgcentered | ,
|  | false | )

## ◆ mDefSetupMembInit() [3/7]

true false true false false uiDialog::Setup::mDefSetupMembInit | ( | bool | ,
|  | okcancelrev | ,
|  | false | )

## ◆ mDefSetupMembInit() [4/7]

true false uiDialog::Setup::mDefSetupMembInit | ( | bool | ,
|  | savebutispush | ,
|  | false | )

## ◆ mDefSetupMembInit() [5/7]

true false true uiDialog::Setup::mDefSetupMembInit | ( | bool | ,
|  | savechecked | ,
|  | false | )

## ◆ mDefSetupMembInit() [6/7]

uiDialog::Setup::mDefSetupMembInit | ( | HelpKey | ,
|  | videokey | ,
|  | HelpKey::emptyHelpKey() | )

## ◆ mDefSetupMembInit() [7/7]

uiDialog::Setup::mDefSetupMembInit | ( | uiString | ,
|  | dlgtitle | ,
|  | uiString::empty() | )

## ◆ uiStrings::sApply()

uiDialog::Setup::uiStrings::sApply | ( |  | ) |

## ◆ uiStrings::sCancel()

uiDialog::Setup::uiStrings::sCancel | ( |  | ) |

## ◆ uiStrings::sOk()

uiDialog::Setup::uiStrings::sOk | ( |  | ) |

## ◆ uiStrings::sSaveAsDefault()

uiDialog::Setup::uiStrings::sSaveAsDefault | ( |  | ) |

## Member Data Documentation

## ◆ applytext

uiDialog::Setup::applytext

## ◆ canceltext

uiDialog::Setup::canceltext

## ◆ fixedsize

true false true false uiDialog::Setup::fixedsize

## ◆ menubar

true false true uiDialog::Setup::menubar

## ◆ modal

uiDialog::Setup::modal

## ◆ nrstatusflds

true false true false false uiDialog::Setup::nrstatusflds

## ◆ oktext

uiDialog::Setup::oktext

## ◆ savebutton

true uiDialog::Setup::savebutton

## ◆ savetext

uiDialog::Setup::savetext

## ◆ separator

true false uiDialog::Setup::separator

## ◆ wintitle

uiString uiDialog::Setup::wintitle

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025